Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development
Class AbstractContainerService

    java.lang.Object
      com.google.appengine.tools.development.AbstractContainerService

All Implemented Interfaces:
  ContainerService

    public abstract class AbstractContainerService

extends java.lang.Object
implements ContainerService

Common implementation for the `ContainerService` interface. There should be no reference to any third-party servlet container from here.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.appengine.tools.development.ContainerService
`ContainerService.EnvironmentVariableMismatchSeverity`

Constructor Summary
`AbstractContainerService()`

Method Summary
`com.google.appengine.tools.development.LocalServerEnvironment` | `configure(java.lang.String devAppServerVersion, java.io.File appDir, java.lang.String webXmlLocation, AppEngineWebXmlReader appEngineWebXmlReader, java.lang.String address, int port)` Sets up the necessary configuration parameters.
`java.lang.String` | `getAddress()` Returns the listener network address, however it's decided during the servlet container deployment.
`java.io.File` | `getAppDirectory()` Returns the root directory of the application.
`int` | `getPort()` Returns the listener port number, however it's decided during the servlet container deployment.
`void` | `setEnvironmentVariableMismatchSeverity(ContainerService.EnvironmentVariableMismatchSeverity val)` Overrides the default EnvironmentVariableMismatchSeverity setting, to disable exceptions during the testing.
`void` | `shutdown()` Shuts down the servlet container.
`void` | `startup()` This is made final, and detail implementation (that is specific to any particular servlet container) goes to individual "template" methods.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.appengine.tools.development.ContainerService
`getAppContext`

Constructor Detail

### AbstractContainerService

    public AbstractContainerService()

Method Detail

### configure

    public final com.google.appengine.tools.development.LocalServerEnvironment configure(java.lang.String devAppServerVersion,
                                                                                         java.io.File appDir,
                                                                                         java.lang.String webXmlLocation,
                                                                                         AppEngineWebXmlReader appEngineWebXmlReader,
                                                                                         java.lang.String address,
                                                                                         int port)

  Description copied from interface: `ContainerService`
  Sets up the necessary configuration parameters.

  Specified by:
    `configure` in interface `ContainerService`
  Parameters:
    `devAppServerVersion` - Version of the devAppServer.
    `appDir` - The location of the application to run.
    `webXmlLocation` - The location of a file whose format complies with http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd. Can be null.
    `appEngineWebXmlReader` - The reader that will be used to create an instance of `com.google.apphosting.utils.config.AppEngineWebXml`. If `null`, an instance of `AppEngineWebXmlReader` will be instantiated with `appDir` as the constructor argument.
    `address` - The address on which the server will run
    `port` - The port to which the server will be bound. If 0, an available port will be selected.
  Returns:
    A LocalServerEnvironment describing the environment in which the server is running.

### startup

    public final void startup()
                       throws java.lang.Exception

  This is made final, and detail implementation (that is specific to any particular servlet container) goes to individual "template" methods.

  Specified by:
    `startup` in interface `ContainerService`
  Throws:
    `java.lang.Exception` - Any exception from the container will be rethrown as is.

### shutdown

    public final void shutdown()
                        throws java.lang.Exception

  Description copied from interface: `ContainerService`
  Shuts down the servlet container.

  Specified by:
    `shutdown` in interface `ContainerService`
  Throws:
    `java.lang.Exception` - Any exception from the container will be rethrown as is.

### getAddress

    public java.lang.String getAddress()

  Description copied from interface: `ContainerService`
  Returns the listener network address, however it's decided during the servlet container deployment.

  Specified by:
    `getAddress` in interface `ContainerService`

### getAppDirectory

    public java.io.File getAppDirectory()

  Description copied from interface: `ContainerService`
  Returns the root directory of the application.

  Specified by:
    `getAppDirectory` in interface `ContainerService`

### getPort

    public int getPort()

  Description copied from interface: `ContainerService`
  Returns the listener port number, however it's decided during the servlet container deployment.

  Specified by:
    `getPort` in interface `ContainerService`

### setEnvironmentVariableMismatchSeverity

    public void setEnvironmentVariableMismatchSeverity(ContainerService.EnvironmentVariableMismatchSeverity val)

  Description copied from interface: `ContainerService`
  Overrides the default EnvironmentVariableMismatchSeverity setting, to disable exceptions during the testing.

  Specified by:
    `setEnvironmentVariableMismatchSeverity` in interface `ContainerService`
  Parameters:
    `val` - The new EnvironmentVariableMismatchSeverity.
  See Also:
    `ContainerService.EnvironmentVariableMismatchSeverity`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD